<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion();
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->getVar("anio"));

$cd_docente = "";
if ($sesion->getVar('ac_tipo_user') == '1') {
    $cd_docente = $sesion->getVar("info_doc.cod_profesor");
}
?>

<script>
    $(function() {
        var chart = null;
        var cod_docente = "<?php echo $cd_docente ?>";

        var rutModulo = "mod_estadisticas/mej_por_grupo/";
        var optionsChart = {
            chart: {
                renderTo: 'cot_estk_mej_grupo',
                type: 'bar',
            },
            title: {
                text: 'MEJORES ESTUDIANTES POR GRUPO'
            },
            subtitle: {
                text: ''
            },
            xAxis: {
                categories: [],
                title: {
                    text: null
                },
                labels: {
                    rotation: -40,
                    align: 'right',
                    style: {
                        fontSize: '10px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Promedio',
                },
                labels: {
                    overflow: 'justify'
                }
            },
            tooltip: {
                formatter: function() {
                    return '' +
                            this.x + ' <br> Promedio:<b>' + this.y + "<b>";
                }
            },
            plotOptions: {
                bar: {
                    dataLabels: {
                        enabled: true,
                        x: 5,
                        color:'black',

                    },
                    formatter: function() {
                        v = this.y;
                        return  v.toFixed(2);
                    }
                }
            },
            legend: {
                enabled: false
            },
            credits: {
                enabled: true
            },
            series: [
                {data: []}
            ]
        }

        $(document).ready(function() {
            var total_por = 0;
            var gr = null;
            var ide_act;
            var wndFaltas, dtSelectFalta, dtsFaltas;

            $("#md_n_txtsedes").change(function() {
                cd_sede = $(this).val();
                if (cod_docente == "") {
                    dt = {cod_cnds: cd_sede, codigo: 'a28', mopc: '0'}
                } else {
                    dt = {cod_cnds: cod_docente + "|" + cd_sede, codigo: 'a25', mopc: '0'}
                }
                $.ajax({
                    type: "POST",
                    url: "includes/cargar_selec_normal.php",
                    data: dt,
                    success: function(dt) {
                        $("#md_n_txtjornadas").html(dt);
                        $("#md_n_txtjornadas").trigger("change");
                    },
                });
            });

            /*//-----------------------------------------------------------------------------------------------------*/

            $("#md_n_txtjornadas").change(function() {
                var jor = $(this).val();
                $.ajax({
                    type: "POST",
                    url: "mod_inasistencias/cargar_select_grupos.php",
                    data: {sede: $("#md_n_txtsedes").val(), jornada: jor},
                    success: function(rta) {
                        $("#md_n_txtgrupo").html(rta);
                        $("#md_n_txtgrupo").trigger("change");
                    }
                });
            });

            /*//-----------------------------------------------------------------------------------------------------*/

            $("#md_n_txtgrupo").change(function() {
                $("#nomGrupo").text($("option:selected", this).parent()[0].label);
                var cd_grupo = $(this).val();
                var per_act = $("option:selected", this).data("per");
                var num_per = $("option:selected", this).data("neval");
                var $cont = "";
                for (i = 1; i <= num_per; i++) {
                    if (i == per_act)
                        $cont += "<option value='" + i + "' selected>" + i + "</option>";
                    else
                        $cont += "<option value='" + i + "' >" + i + "</option>";
                }
                $("#md_n_periodo").html($cont);
                $("#md_n_periodo").trigger("change");
            });


            /*//-----------------------------------------------------------------------------------------------------*/

            $("#md_n_periodo, #md_n_nro_est").change(function() {
                cargaDtsGrafico()
            });
            chart = new Highcharts.Chart(optionsChart);

            /*//-----------------------------------------------------------------------------------------------------*/
            $("#md_n_txtsedes").trigger("change");


        });

        function cargaDtsGrafico() {
            $.ajax({
                url: rutModulo + "list_mej_grupo.php",
                data: {
                    grupo: $("#md_n_txtgrupo").val(),
                    periodo: $("#md_n_periodo").val(),
                    nro:$("#md_n_nro_est").val(),
                },
                async: false,
                success: function(rta) {
//                    if (chart) {
//                        chart.destroy();
//                    }
                    rta = $.parseJSON(rta);

                    chart.xAxis[0].setCategories(rta.category);
                    chart.series[0].setData(rta.series);
//                    optionsChart.series = rta.series;
//                    optionsChart.xAxis.categories = rta.category;
//
//                    chart = new Highcharts.Chart(optionsChart);
                }
            });
        }

    });
</script>

<table align="center">
    <tr>
        <td colspan="2" align="center">
            <table align="left">
                <tr clas class="tit1">
                    <td><?php echo $dtsLang['reportes']['lbl_rep_sede'] ?></td>
                    <td><?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?></td>
                    <td><?php echo $dtsLang['reportes']['lbl_rep_grupo'] ?> &nbsp;<span class="text4" id="nomGrupo"></span></td>
                    <td id="tipo_evaluacion"><?php echo $dtsLang['reportes']['lbl_rep_periodo'] ?></td>
                    <td id="tipo_evaluacion">N° Estudiantes</td>
                </tr>
                <tr>
                    <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
                            <?php
                            if ($cd_docente != "") {
                                $sql = "SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
                            } else {
                                $sql = "SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
                            }

                            $academia->instruccion($sql);
                            while ($reg = $academia->extraer_registro()) {
                                echo "<option value='" . $reg[cod_sede] . "' aux='$cmpaux2' >" . $reg[nom_sede] . "</option>";
                            }
                            $academia->liberar();
                            ?>
                        </select></td>
                    <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                            <?php
                            ?>
                        </select></td>
                    <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                        </select></td>
                    <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                        </select></td>
                        <td><select name="md_n_nro_est" class="campos" id="md_n_nro_est" style="width:160px">
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5">5</option>
                            <option value="6">6</option>
                            <option value="7">7</option>
                            <option value="8">8</option>
                            <option value="9">9</option>
                            <option value="10">10</option>
                        </select></td>
                </tr>
            </table>

        </td>
    </tr>
    <tr>
        <td colspan="2" align="center"><div id="cot_estk_mej_grupo" style="width:800px; height: 500px"></div></td>
    </tr>
</table>
